%global maj 0

Summary:       A lightweight C library for storing RDF data in memory
Name:          sord
Version:       0.16.14
Release:       4%{?dist}
License:       ISC
URL:           https://drobilla.net/software/%{name}.html
Source0:       https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires: gcc meson doxygen pcre-devel
BuildRequires: serd-devel >= 0.30.10

%description
%{name} is a lightweight C library for storing Resource Description Framework (RDF)
data in memory. %{name} and parent library serd form a lightweight RDF tool-set for
resource limited or performance critical  applications.


%package devel
Summary:    Development libraries and headers for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the headers and development libraries for %{name}.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

install -d %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_docdir}/%{name}-%{maj} %{buildroot}%{_docdir}/%{name}


%check
%meson_test


%files
%license COPYING
%{_libdir}/lib%{name}-%{maj}.so.%{maj}*
%{_bindir}/sordi
%{_bindir}/sord_validate
%{_mandir}/man1/%{name}*.1*
%{_pkgdocdir}
%exclude %{_pkgdocdir}/%{name}-%{maj}/


%files devel
%{_libdir}/lib%{name}-%{maj}.so
%{_libdir}/pkgconfig/%{name}-%{maj}.pc
%{_includedir}/%{name}-%{maj}/
%{_pkgdocdir}/%{name}-%{maj}/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 05 2023 rockerzhu <rockerzhu@tencent.com> - 0.16.14-3
- Fix mail in changelog.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16.14-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 rockerzhu <rockerzhu@tencent.com> - 0.16.14-1
- Initial build.
